Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 365751 (CVE-2011-0418) - <net-ftp/pure-ftpd-1.0.32: denial-of-service attack vulnerability (CVE-2011-0418)
Summary: <net-ftp/pure-ftpd-1.0.32: denial-of-service attack vulnerability (CVE-2011-0...
Status: RESOLVED FIXED
Alias: CVE-2011-0418
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-02 19:52 UTC by Mark Wagner
Modified: 2011-10-26 20:49 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Wagner 2011-05-02 19:52:16 UTC
As mentioned at http://www.pureftpd.org/project/pure-ftpd/news and the Pure-FTPd mailing list, versions of Pure-FTPd before 1.0.32 are vulnerable to a denial-of-service attack related to glob brace expansion.  This is fixed in Pure-FTPd 1.0.32.

Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2011-05-02 20:40:43 UTC
+*pure-ftpd-1.0.32 (02 May 2011)
+
+  02 May 2011; Lars Wendler <polynomial-c@gentoo.org> +pure-ftpd-1.0.32.ebuild:
+  Security bump. Thanks to Mark Wagner for reporting this issue in bug #365751.
+

pure-ftpd-1.0.32 is now in the tree and ready for stabilization.
Comment 2 Tim Sammut (RETIRED) gentoo-dev 2011-05-02 20:52:08 UTC
Thanks, folks.

Arches, please test and mark stable:
=net-ftp/pure-ftpd-1.0.32
Target keywords : "alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2011-05-03 10:11:04 UTC
amd64 done
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-05-03 11:06:11 UTC
x86 stable
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2011-05-06 00:32:14 UTC
Stable for HPPA.
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2011-05-07 16:44:41 UTC
alpha/arm/ia64/sparc stable
Comment 7 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-05-14 08:27:02 UTC
ppc/ppc64 stable, last arch done
Comment 8 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-05-14 08:32:07 UTC
GLSA vote: yes
Comment 9 Tim Sammut (RETIRED) gentoo-dev 2011-05-14 14:59:26 UTC
Yes, too. GLSA request filed.
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2011-06-24 00:32:48 UTC
CVE-2011-0418 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-0418):
  The glob implementation in Pure-FTPd before 1.0.32, and in libc in NetBSD
  5.1, does not properly expand expressions containing curly brackets, which
  allows remote authenticated users to cause a denial of service (memory
  consumption) via a crafted FTP STAT command.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2011-10-26 20:49:46 UTC
This issue was resolved and addressed in
 GLSA 201110-25 at http://security.gentoo.org/glsa/glsa-201110-25.xml
by GLSA coordinator Tim Sammut (underling).